Package org.apache.sling.rewriter.impl.components

## Class HtmlGeneratorFactory

- java.lang.Object
- - org.apache.sling.rewriter.impl.components.HtmlGeneratorFactory

All Implemented Interfaces:
  `GeneratorFactory`

    public class HtmlGeneratorFactory
    extends Object
    implements GeneratorFactory

On the fly HTML parser which can be used as the starting point for html pipelines.

### Nested Class Summary

Nested Classes
`static class` `HtmlGeneratorFactory.HtmlGenerator`

### Constructor Summary

Constructors
`HtmlGeneratorFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Generator` `createGenerator()` Create a new generator for the pipeline.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HtmlGeneratorFactory

    public HtmlGeneratorFactory()

### Method Detail

#### createGenerator

    public Generator createGenerator()

Description copied from interface: `GeneratorFactory`
Create a new generator for the pipeline.

Specified by:
  `createGenerator` in interface `GeneratorFactory`
Returns:
  A new generator.
See Also:
  `GeneratorFactory.createGenerator()`